# Method: groups.aliases.list

Lists all aliases for a group.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/groups/{groupKey}/aliases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `groupKey` | `string` Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "aliases": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/groups.aliases#GroupAlias`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `aliases[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/groups.aliases#GroupAlias`)`` A list of alias objects. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.group`
- `
  https://www.googleapis.com/auth/admin.directory.group.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).